import { graphql } from '../gqlApi';

export const FULL_CURRENCY = graphql(`
   fragment FullCurrency on Currency {
      code
      rate
      name
      decimalMark
      precision
      roundDirection
      roundType
      symbol
   }
`);

export const BASIC_PRICE = graphql(`
   fragment BasicPrice on Price {
      withoutVat
      withVat
      vat
      currency {
         symbol
      }
   }
`);

export const FULL_PRICE = graphql(`
   fragment FullPrice on Price {
      withVat
      withoutVat
      vat
      vatValue
   }
`);

export const PRICE_WITH_CURRENCY = graphql(`
   fragment PriceWithFullCurrency on Price {
      ...FullPrice
      
      currency {
         ...FullCurrency
      }
   }
`);
